<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<link rel="icon" href="/img/favicon.ico" />
		<title>LOGARIAT</title>
		<script type="text/javascript" src="/socket.io/socket.io.js"></script>
		<script type="text/javascript" src="/js/p5.min.js"></script>
		<script type="text/javascript" src="/js/p5.dom.min.js"></script>
		<link type="text/css" rel="stylesheet" href="/css/style.css">
	</head>
	<body>
		<main>
			<section id="zone1">
				<div id="cam1"><iframe src="http://192.168.43.1:8080/video" frameborder="0" scrolling="no" seamless></iframe></div>
				<div id="cam2"><video id="webcam" src="" preload autoplay muted></video></div>
				<div id="graphs"></div>
			</section>

			<section id="zone2"><iframe id="login" src="login.html" frameborder="0" scrolling="no" seamless></iframe></section>

			<section id="zone3"></section>
		</main>

		<script>
		let test = new p5( (sketch) => {

		    sketch.setup = () => {
		      console.log('Load sketch');
		      sketch.createCanvas(400, 400);
		    sketch.background(100);
		  }

		  sketch.draw = () => {

		  }
		}, 'graphs')
		</script>

		<script>
		const socket = io();

		// First click (once) > display webcam / login
		let step2 = () => {
		  document.getElementById('zone2').style.display = 'block'
		  document.getElementById('cam1').style.display = 'none'
		  document.getElementById('login').style.display = 'block'
		  document.getElementById('graphs').style.display = 'block'
		  document.removeEventListener("click", step2)
		  console.log("Step2")
		}
		document.addEventListener("click", step2)

		//////////////////// Web sockets
		socket.on('sensors', () => {
		    console.log('Run sensors')
		    openWebcam()

		    document.getElementById('graphs').style.display = 'block'
		    document.getElementById('zone3').style.display = 'block'
		    //let sketch1 = new p5(drawGraphs, 'graphs')
		    //let sketch2 = new p5(drawShapes, 'zone3')
		});
		</script>

			<!--<script type="text/javascript" src="/js/testp5.js"></script>
		<script type="text/javascript" src="/js/zone1-p5.js"></script>
		<script type="text/javascript" src="/js/zone3-p5.js"></script>
	<script type="text/javascript" src="/js/script.js"></script>-->
	</body>
</html>
